Get Module Instance
curl --request GET \
--url https://api.getoutbox.ai/module/instance/{instance_id} \
--header 'Authorization: <api-key>' \
--header 'X-User-Timezone: <x-user-timezone>'import requests
url = "https://api.getoutbox.ai/module/instance/{instance_id}"
headers = {
"X-User-Timezone": "<x-user-timezone>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-User-Timezone': '<x-user-timezone>', Authorization: '<api-key>'}
};
fetch('https://api.getoutbox.ai/module/instance/{instance_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"instance_name": "<string>",
"module_name": "<string>",
"description": "<string>",
"icon": "<string>",
"schedule": {},
"activation_type": "<string>",
"configurations": [
{
"name": "<string>",
"key": "<string>",
"value": "<string>",
"secret": true
}
],
"logs": [
{
"timestamp": "<string>",
"message": "<string>",
"type": "<string>"
}
]
}Tools
Get Tool
Retrieve detailed information about a specific module instance including configurations and recent logs
GET
/
module
/
instance
/
{instance_id}
Get Module Instance
Authorizations
Company API Key
Headers
User's timezone for timestamp formatting
Path Parameters
The ID of the module instance
Response
Module instance details retrieved successfully
Instance name
Module name
Module description
Icon URL
Crontab schedule details, null if not scheduled
How the module is activated
Show child attributes
Show child attributes
Logs from the 3 most recent module runs
Show child attributes
Show child attributes
⌘I

